# Insight Toolkit (ITK) Tcl package configuration.

package provide InsightToolkit 2.8.0

set modules [split "VXLNumerics;Base;BaseNumerics;BaseTransforms;BaseSpatialObject;BinaryMorphology;Calculators;Compose;DeformableTransforms;Denoising;DistanceMap;EdgesAndContours;FFT;Filtering;IntensityFilters;Interpolators;IO;Iterators;LevelSet;Morphology;PixelMath;Registration;Resize;SegmentationAndThreshold;SegmentationValidation;SimpleFilters;UnaryPixelMath" ";"]

set libPrefix "lib"
set libPath "/usr//lib/InsightToolkit/WrapITK/lib"
set libSuffix "Tcl[info sharedlibextension]"

foreach module $modules {
  set libFile [file join $libPath "$libPrefix$module$libSuffix"]
  load "$libFile"
}


